<style>
    a{
        text-decoration: none;
        color: white;
    }
    nav{
        background-color: black;
        color: white;
    }
</style>

<nav class="navbar navbar-expand-sm mb-3 py-0">
    <div class="container">
        <a routerLink="/dashboard/general" class="navbar-brand">Meme Generator</a>
        <div style="margin-top: 15px;">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a routerLink="/dashboard/general" class="nav-link" style="cursor: pointer;"> General</a>
                </li>
                
                    <div *ngIf="!authService.authenticated">
                        <li class="nav-item">
                            <a class="nav-link" (click)="authService.GoogleAuth()" style="cursor: pointer;">Sign-in</a>
                        </li>
                    </div>
                    
                    <li class="nav-item" *ngIf="authService.authenticated">
                        <a routerLink="/dashboard/generator" class="nav-link"> Create</a>
                    </li>
                    <li class="nav-item" *ngIf="authService.authenticated">
                        <a routerLink="/dashboard/mymemes" class="nav-link"> My Memes</a>
                    </li>
                    <li class="nav-item" *ngIf="authService.authenticated">
                        <a routerLink="/dashboard/bookmarked" class="nav-link"> Bookmarked</a>
                    </li>
                    <li class="nav-item" *ngIf="authService.authenticated">
                        <a routerLink="/dashboard/general" class="nav-link" (click)="authService.logout()"> Logout</a>
                    </li>
                    <li class="nav-item" *ngIf="authService.authenticated">
                        <a class="nav-link"><img src={{authService.photoURL}} alt="media" style="width:40px;height:40px;border-radius: 50%;padding-bottom: 3px;"></a>
                    </li>
         
            </ul>
        </div>
    </div>
</nav>
